%define pypi_name	pyOpenSSL
%define pkg_name	OpenSSL

%bcond_with doc

Summary:	Python interface to the OpenSSL library
Name:		python-%{pkg_name}
Version:	22.0.0
Release:	%mkrel 1
License:	ASL 2.0
Group:		Development/Python
Url:		https://pypi.org/project/pyOpenSSL/
Source:		%{pypi_name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cryptography
%if %{with doc}
BuildRequires:  python3-sphinx
%endif

%description
pyOpenSSL is a high-level Python wrapper around a subset of OpenSSL library.

It includes:
* SSL.Connection objects, wrapping the methods of Python's portable sockets;
* callbacks written in Python;
* an extensive error-handling mechanism, mirroring OpenSSL's error codes;
* and much more.

%package -n python3-%{pkg_name}
Summary:	Python 3 wrapper module around the OpenSSL library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pkg_name}}
Obsoletes: python3-pyopenssl
Provides:  python3-pyopenssl = %{version}-%{release}

%description -n python3-%{pkg_name}
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python 3
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes

This is the python 3 package.

%package doc
Summary:	Documentation for python-%{pkg_name}
BuildArch:	noarch

%description doc
Documentation for python-OpenSSL.

%prep
%setup -q -n %pypi_name-%version
find -name '*.py' | xargs sed -i '1s|^#!python.*|#!%{__python3}|'

%build
CFLAGS="%{optflags} -fno-strict-aliasing"
%py3_build

%if %{with doc}
sphinx-build-3 doc html
sphinx-build-3 -b man doc man
%endif

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%if %{with doc}
%__install -Dm 0644 %{_builddir}/py%{pkg_name}-%{version}/man/pyopenssl.1 %{buildroot}%{_mandir}/man1/pyopenssl.1
%endif

%files -n python3-%{pkg_name}
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/pyOpenSSL-*.egg-info

%if %{with doc}
%files doc
%doc examples html
%{_mandir}/man1/pyopenssl.1*
%endif


%changelog
* Thu Mar 17 2022 TerryN <terryn94 at gmail.com> 22.0.0-1pclos2022
- update and rebuild for python 3.10

* Mon Feb 04 2019 tex 18.0.0-2plos2019
- fix spec file

* Sun Feb 03 2019 tex 18.0.0-1pclos2019
- created
